*
* NAME: STAT.PRG
*
* TYPE: 32-bit Visual FoxPro
*
* DATE: March 27, 2002
*
* PURPOSE: This program lists the number of email messages waiting on the specified POP3 server.
*          Compare to STATUS.PRG and STATUS2.PRG.
*
* NOTE: It is highly recommended that INCLUDE statements be replaced by their contents.
*

#INCLUDE KEYCODE.FOX
#INCLUDE SEE32CON.FOX

*** partial list of SEE functions follows ***

DECLARE INTEGER seeAttach in SEE32.DLL INTEGER NbrChans, INTEGER KeyCode
DECLARE INTEGER seeClose in SEE32.DLL INTEGER Chan
DECLARE INTEGER seeErrorText in SEE32.DLL INTEGER Chan, INTEGER Code, STRING @Buffer, INTEGER BufLen
DECLARE INTEGER seeGetEmailCount in SEE32.DLL INTEGER Chan
DECLARE INTEGER seeIntegerParam in SEE32.DLL INTEGER Chan, INTEGER Param, INTEGER Value
DECLARE INTEGER seePop3Connect in SEE32.DLL INTEGER Chan, STRING @Server, STRING @User, STRING @Password
DECLARE INTEGER seeRelease in SEE32.DLL
DECLARE INTEGER seeStringParam in SEE32.DLL INTEGER Chan, INTEGER Param, STRING @Value

*** PROGRAMMER: Edit these strings [use host name or IP address for server] ***
Pop3HostName = trim(m.server)
local len
len=at("@",m.mailfrom)-1
if len<1
  return
endif  
Pop3UserName = substr(m.mailfrom,1,len)
Pop3Password  = trim(m.password)
* Note: Use full path name unless file is located in FoxPro directory [LocalDir = ""]
*       Be sure to terminate LocalDir with a backslash '\'.
LocalDir = ""
*** END PROGRAMMER ***

Handle = FCREATE(LocalDir + "TempFile.$$$")
IF Handle < 0
&&  ? "ERROR: Directory " + LocalDir + " does NOT exist"
  return
else
  =FCLOSE(Handle)
endif

DiagFile = LocalDir + "STAT.LOG"


Code = seeAttach(1, SEE_KEY_CODE)
if Code < 0
&&  ? "Cannot attach SEE (check key code)."
  return
endif
Code = seeStringParam(0,SEE_LOG_FILE, @DiagFile)
* set maximum connect wait to 55 seconds
Code = seeIntegerParam(0, SEE_CONNECT_WAIT, 55000)
* connect to POP3 server
&& ? "Connecting to " + Pop3HostName
Code = seePop3Connect(0,@Pop3HostName, @Pop3UserName, @Pop3Password)
if Code < 0
  Temp = SPACE(128)
  Code = seeErrorText(0,Code,@Temp,128)
  ok=.f.
&&  ? Left(Temp,Code)
else
  * get # messages waiting
&&  ? "Getting message status..."
  Code = seeGetEmailCount(0)
  if Code < 0
    Temp = SPACE(128)
    Code = seeErrorText(0,Code,@Temp,128)
    ok=.f.
&& ? Left(Temp,Code)
  else
&& ? Code," messages waiting."  
  endif
endif
&& ? "Done."
Code = seeClose(0)
Code = seeRelease()
return

